Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.springframework.ui.context
Interface ThemeSource

All Known Subinterfaces:
  HierarchicalThemeSource

All Known Implementing Classes:
  AbstractRefreshableWebApplicationContext, AnnotationConfigWebApplicationContext, DelegatingThemeSource, GenericWebApplicationContext, ResourceBundleThemeSource, StaticWebApplicationContext, XmlWebApplicationContext

    public interface ThemeSource

Interface to be implemented by objects that can resolve `Themes`. This enables parameterization and internationalization of messages for a given 'theme'.

Author:
  Jean-Pierre Pawlak, Juergen Hoeller
See Also:
  `Theme`

Method Summary
`Theme` | `getTheme(String themeName)` Return the Theme instance for the given theme name.

Method Detail

### getTheme

    Theme getTheme(String themeName)

  Return the Theme instance for the given theme name.

  The returned Theme will resolve theme-specific messages, codes, file paths, etc (e.g. CSS and image files in a web environment).

  Parameters:
    `themeName` - the name of the theme
  Returns:
    the corresponding Theme, or `null` if none defined. Note that, by convention, a ThemeSource should at least be able to return a default Theme for the default theme name "theme" but may also return default Themes for other theme names.
  See Also:
    `AbstractThemeResolver.ORIGINAL_DEFAULT_THEME_NAME`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD